/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class ZoneResponse {
    public name: string;

    public danger: boolean;

    public color: string;

    public data: { [s: string]: string[] };

    /**
     * Creates a ZoneResponse.
     *
     * @param {string} name
     * @param {boolean} danger
     * @param {string} color
     * @param {object} data
     */
    constructor(name: string, danger: boolean, color: string, data: { [s: string]: string[] }) {
        this.name = name;
        this.danger = danger;
        this.color = color;
        this.data = data;
    }
}
